MOD_PLSQL migration question

3068436

    We have http server 11.1.1.7 with MOD_PL/SQL, oracle 11.2.03 on Solaris 10. We are planning to migrate to new server with oracle 19c DB, solaris 11.4. In order to get http server and MOD_SQL functionality if we install ORDS is that fine or do we need to install weblogic. We do not need a GUI. Also which ORDS version is stable that we can install?